Subject: Re: [PATCH] Re: Nested VLAN causes recursive locking error

From: Jarek Poplawski <[email-masked]>
Date: Mon, 31 Dec 2007 22:59:32 +0100

On Mon, Dec 31, 2007 at 06:45:55PM +0100, Jarek Poplawski wrote:
> On Mon, Dec 31, 2007 at 04:04:17PM +0100, Patrick McHardy wrote:
...
> > That will increment the subclass globally, but it should actually just
> > use real_dev->subclass + 1. [...]
...
> to two subclasses - any nested vlan gets second. Otherwise, it seems
> there is some place needed to store these subclasses or use some
> unofficial checks on lockdep's structures?

...It seems there is simply needed additional macro in lockdep's API
to retrieve a subclass number from a lock! It would be at least
'strange' to have to save this doubly.

Jarek P.